data.raw.tile['water'].minable = {
    hardness = 0.2, 
    mining_time = 0.5, 
    result = "fish-egg"
}
data.raw.tile['water-green'].minable = {
    hardness = 0.2, 
    mining_time = 0.5,
    result = "fish-egg"
}
data.raw.tile['deepwater'].minable = {
    hardness = 0.2, 
    mining_time = 0.5,
    result = "fish-egg"
}
data.raw.tile['deepwater-green'].minable = {
    hardness = 0.2, 
    mining_time = 0.5,
    result = "fish-egg"
}
data.raw.fish['fish'].autoplace = { influence = 0 }
data.raw.fish['fish'].minable = {mining_time = 1, result = "raw-fish", count = 1}
data.raw.capsule['fish-egg'] = {
    type = "capsule",
    name = "fish-egg",
    icon = "__base__/graphics/icons/defender-capsule.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 1,
        projectile_creation_distance = 0.6,
        range = 20,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "fish-egg",
              starting_speed = 0.3
            }
          }
        }
      }
    },
   subgroup = "capsule",
    order = "d[fish-egg]",
    stack_size = 100
  }
data.raw.projectile['fish-egg'] = {
    type = "projectile",
    name = "fish-egg",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "fish",
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    enable_drawing_with_mask = true,
    animation = {
      layers = {
        {
          filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule.png",
          flags = { "no-crop" },
          frame_count = 1,
          width = 28,
          height = 20,
          priority = "high"
        },
        {
          filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule-mask.png",
          flags = { "no-crop" },
          frame_count = 1,
          width = 28,
          height = 20,
          priority = "high",
          apply_runtime_tint = true,
        },
      },
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule-shadow.png",
      flags = { "no-crop" },
      frame_count = 1,
      width = 26,
      height = 20,
      priority = "high"
    },
    smoke = capsule_smoke,
}
data.raw.recipe['fish-egg'] = {
    type = "recipe",
    name = "fish-egg",
    enabled = true,
    energy_required = 0.5,
    ingredients =
    {
      {"raw-fish", 1}
    },
    result = "fish-egg",
	result_count = 5
  }