script.on_event({defines.events.on_player_mined_tile}, 
    function(e)
        broadcast("on_player_mined_tile player = " .. e.player_index .. " surface_index = " .. e.surface_index)
		printstr = ""
		for k,v in pairs(e.positions) do
			printstr = printstr .. "\nkey " .. k
			for sk,sv in pairs(v) do
				printstr = printstr .. "\n\tsubkey " .. sk .. " val " .. sv
			end
		end
		broadcast("positions " .. printstr)
		
		broadcast("surface " .. e.surface_index .. " = " .. tostring(game.surfaces[e.surface_index]))
		broadcast("surface 1 = " .. tostring(game.surfaces[1]))
    end
)
script.on_event({defines.events.on_player_mined_item}, 
    function(e)
        broadcast("on_player_mined_item " .. e.player_index)
    end
)
script.on_event({defines.events.on_player_mined_entity}, 
    function(e)
        broadcast("on_player_mined_entity player = " .. e.player_index .. " entity = " .. tostring(e.entity))
    end
)

script.on_event({defines.events.on_pre_surface_deleted}, 
    function(e)
        broadcast("on_pre_surface_deleted player = " .. e.player_index .. " surface_index = " .. tostring(e.surface_index))
    end
)

script.on_event({defines.events.on_surface_deleted}, 
    function(e)
        broadcast("on_surface_deleted player = " .. e.player_index .. " surface_index = " .. tostring(e.surface_index))
    end
)

script.on_event({defines.events.on_tick},
    function(e)
        if e.tick % 3600 == 0 then
            broadcast(e.tick)
        end
    end
)

script.on_event({defines.events.on_console_chat},
    function(e)
        broadcast(e.message)
    end
)

function broadcast(message)
    for i,v in pairs(game.connected_players)
    do
        v.print(message)
    end
end